<?php

namespace OrganizationsManagement\Factory;

use Teknisa\Model\Vendas\Entities\Loja as LojaEntity;
use Teknisa\Model\Vendas\Entities\Caixa;
use Teknisa\Model\Vendas\Entities\Paravend;

class Loja 
{
    public function criaLoja($nrorg, $cdfilial, $cdloja, $nmloja, $dtinclusao) 
    {
        $e = new LojaEntity();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdloja($cdloja);
        $e->setNmloja($nmloja);
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
    
    public function criaCaixa($nrorg, $cdfilial, $cdloja, $cdcaixa, $nmcaixa, $dtinclusao) 
    {
        $e = new Caixa();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdloja($cdloja);
        $e->setCdcaixa($cdcaixa);
        $e->setNmcaixa($nmcaixa);
        $e->setDtinclusao($dtinclusao);

        return $e;
    }

    public function criaParavend($nrorg, $cdfilial, $cdparavend, $cdcliente, $dtinclusao) 
    {
        $e = new Paravend();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdparavend($cdparavend);
        $e->setCdcliente($cdcliente);
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
} 