<?php
namespace OrganizationsManagement\Factory;

use Setforms2\Shared\ORM\DateTime;
use Teknisa\Model\Faturamento\Entities\Parcliefas as EntidadeParcliefas;

class Parcliefas {
    const LICENCAUSO           = '2';
    const EMP_TEKNISA_SOFTWARE = '01';
    const EMP_TEKNISA_SERVICE  = '12';

    public function cria($cdCliente, $idTpFatuClie, $dsFaturClie, $dsBoletClie, $nrOrg, $cdOperador)
    {
        $empresa = $idTpFatuClie == self::LICENCAUSO ? self::EMP_TEKNISA_SOFTWARE : self::EMP_TEKNISA_SERVICE;
        $dtAtual = new DateTime();
        $parcClieFas = new EntidadeParcliefas();

        $parcClieFas->setNrorg($nrOrg);
        $parcClieFas->setCdcliente($cdCliente);
        $parcClieFas->setIdtpfatuclie($idTpFatuClie);
        $parcClieFas->setDsfaturclie($dsFaturClie);
        $parcClieFas->setDsboletclie($dsBoletClie);
        $parcClieFas->setCdempresa($empresa);

        $parcClieFas->setIdfaturapfili('N');
        $parcClieFas->setIdfatmesatuclie('N');
        $parcClieFas->setIdgeranfunifica('N');
        $parcClieFas->setVrpercajusteinv(0);

        $parcClieFas->setDtinclusao($dtAtual);
        $parcClieFas->setDtultatu($dtAtual);
        $parcClieFas->setNrorginclusao($nrOrg);
        $parcClieFas->setNrorgultatu($nrOrg);
        $parcClieFas->setCdoperinclusao($cdOperador);
        $parcClieFas->setCdoperultatu($cdOperador);

        return $parcClieFas;
    }
} 